Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util

# Class EMFCompareColor

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.CompareColorImpl
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util.EMFCompareColor

All Implemented Interfaces:
  `com.google.common.cache.RemovalListener<org.eclipse.swt.graphics.RGB,org.eclipse.swt.graphics.Color>`, `ICompareColor`

public class EMFCompareColor extends CompareColorImpl

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.ICompareColor

`ICompareColor.Provider`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.CompareColorImpl

`CONFLICTING_CHANGE_COLOR_THEME_KEY, INCOMING_CHANGE_COLOR_THEME_KEY, OUTGOING_CHANGE_COLOR_THEME_KEY, REQUIRED_DIFF_COLOR_THEME_KEY, UNMERGEABLE_DIFF_COLOR_THEME_KEY`

## Constructor Summary

Constructors
Constructor
Description
`EMFCompareColor(org.eclipse.swt.widgets.Display display, boolean leftIsLocal, org.eclipse.ui.themes.ITheme theme, com.google.common.eventbus.EventBus eventBus)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Dispose all `Color` resources.
`protected void`
`handlePropertyChangeEvent(org.eclipse.jface.util.PropertyChangeEvent event)`
Update color from a PropertyChangeEvent

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.CompareColorImpl

`getFillColor, getRequiredFillColor, getRequiredStrokeColor, getStrokeColor, getUnmergeableFillColor, getUnmergeableStrokeColor, onRemoval, updateColors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFCompareColor

public EMFCompareColor(org.eclipse.swt.widgets.Display display, boolean leftIsLocal, org.eclipse.ui.themes.ITheme theme, com.google.common.eventbus.EventBus eventBus)

## Method Details

### dispose

public void dispose()
Dispose all `Color` resources.

Specified by:
  `dispose` in interface `ICompareColor`
Overrides:
  `dispose` in class `CompareColorImpl`
See Also:
  - `org.org.eclipse.emf.compare.rcp.ui.mergeviewer.ICompareColor#dispose()`

### handlePropertyChangeEvent

protected void handlePropertyChangeEvent(org.eclipse.jface.util.PropertyChangeEvent event)
Update color from a PropertyChangeEvent

Parameters:
  `event` -